"""
	Module responsible for housing the IssueCollector class definition.
"""

import abc
import sys
import os
from pathlib import Path

sys.path.append(str(Path(os.path.abspath('')).absolute()))

from deeperMatcher.src.issues.issue_repository import IssueRepository


class IssueCollector(abc.ABC):  # pylint: disable=too-few-public-methods
	"""
		Abstract class that represents a generic object capable
	of collecting or crawling a set of issues (IssueRepository)
	"""

	@abc.abstractmethod
	def collect_issues(self) -> IssueRepository:
		"""
			Creates a issue repository with the issues collected
		"""
