"""
	Module housing the text embedder
"""

import sys
import os
from pathlib import Path

from sentence_transformers import SentenceTransformer

sys.path.append(str(Path(os.path.abspath('')).absolute().parent.parent.parent))


class SentenceTransformerTextEmbedder():  # pylint: disable=too-few-public-methods
	"""
	Class responsible for generating text embedding using HF's sentence transformers.
	"""

	def __init__(self, model="sentence-transformers/all-MiniLM-L6-v2") -> None:
		self.model = SentenceTransformer(model)

	def embed_text(self, text: str):
		"""
		Generates the embedding for a given text (string)
		"""

		embeddings = self.model.encode(text)
		return embeddings
