"""
	File containing the PickeHandler class
"""

import pickle


class PickleHandler:
	"""
		Class responsible for loading models and vocabularies saved as pickle files
	"""

	@staticmethod
	def load_ml_model(name=""):
		"""
			Loads a model with a given name from the expected .pickle file
		"""

		try:
			path = f'./stanik_classifier/{name}.pickle'
			with open(path, "rb") as file:
				model = pickle.load(file)
				return model
		except FileNotFoundError:
			print('./stanik_classifier/%s.pickle file not found', file)
			return {}

	@staticmethod
	def load_vocabulary(name):
		"""
			Loads a vocabulary with a given name from the expected .pickle file
		"""

		try:
			path = f'./stanik_classifier/vocabulary_{name}.pickle'
			with open(path, "rb") as file:
				model = pickle.load(file)
				return model
		except FileNotFoundError:
			print('./stanik_classifier/%s.pickle file not found', file)
			return {}
