"""
	File containing the Processor class
"""


class Processor:  #pylint: disable=too-few-public-methods
	"""
		Class responsible for encapsulating th process of treating and
		classifying a given user feedback
	"""

	def __init__(self, preprocessor, predictor):
		self.preprocessor = preprocessor
		self.predictor = predictor

	def process(self, app_review):
		"""
			Processses a given app review
		"""
		processed_app_review = self.preprocessor.process(app_review)

		return self.predictor.classify_review(processed_app_review)
