"""
	Module containing functions for randomly selecting user reviews.
"""


def select_random_reviews(df, app, n, sampled_ids, seed):
	"""
		Given a dataframe with app reviews, randomly selects
	n of them.
	"""
	df = df[df['inSample'] & (df['app_id'] == app) &
	        (df['review_class'] == 'bug_report') &
	        (~df['reviewId'].isin(sampled_ids))]

	random_reviews = df.sample(
	    n, random_state=seed)[['content', 'reviewId',
	                           'app_id']].values.tolist()
	return random_reviews


def select_random_tweets(df, app, n, seed):
	"""
		Given a dataframe with user tweets, randomly selects
	n of them.
	"""
	df = df[df['inSample'] & (df['app'] == app) &
	        (df['review_class'] == 'bug_report')]
	random_tweets = df.sample(n, random_state=seed)[['text', 'ID',
	                                                 'app']].values.tolist()
	return random_tweets
