"""
	Module responsible for housing the UserFeedbackCollector class definition.
"""

import abc
import sys
import os
from pathlib import Path

sys.path.append(str(Path(os.path.abspath('')).absolute()))

from deeperMatcher.src.user_feedback.user_feedback_repository import UserFeedbackRespository


class UserFeedbackCollector(abc.ABC):  # pylint: disable=too-few-public-methods
	"""
		Abstract class that represents a generic object capable
	of collecting or crawling a set of comments or reports from
	users, and collecting them into a new UserFeedbackRespository
	"""

	@abc.abstractmethod
	def collect_user_feedback(self) -> UserFeedbackRespository:
		"""
			Creates a suer feedback repository with the feedback collected
		"""
