"""
	Module containing auxiliary methods for loading the models
	used in the project
"""

import spacy
from transformers import DistilBertModel, DistilBertTokenizer


def get_spacy_model():
	"""
		Returns the Spacy model used
	"""
	return spacy.load("en_core_web_sm")


def get_distil_bert_tokenizer():
	"""
		Returns the pre-trained distilbert tokenizer used in the project
	"""
	return DistilBertTokenizer.from_pretrained('distilbert-base-uncased')


def get_distil_bert_model():
	"""
		Returns the pre-trained distilbert model used in the project
	"""
	return DistilBertModel.from_pretrained('distilbert-base-uncased')
