"""
	Module housing functions for dealing with user input
"""
import sys
import os
from pathlib import Path

sys.path.append(str(Path(os.path.abspath('')).absolute()))

from deeperMatcher.src.utils.user_choice import Choice
from deeperMatcher.src.utils.parsers import parse_user_choice


def prompt_user(prompt: str) -> Choice:
	"""
	Prompts user with a Yes/No question
	"""
	prompt_str = prompt + " (Y/N)\n"

	answer = Choice.IRR
	while answer == Choice.IRR:
		text_read = input(prompt_str)
		answer = parse_user_choice(text_read)

	return answer


def prompt_user_or_quit(prompt: str) -> Choice:
	"""
	Prompts user with a Yes/No question and quits
	program if the user chooses to do so
	"""

	choice = prompt_user(prompt)

	if choice == Choice.QUIT:
		sys.exit()

	return choice
