import sys
import os
from pathlib import Path

sys.path.append(str(Path(os.path.abspath(__file__)).absolute().parent.parent.parent.parent))

from deeperMatcher.src.text_embedding.text_embedder import TextEmbedder

from deeperMatcher.src.issues.issue_repository import IssueRepository

from deeperMatcher.src.matching.codings_creator import get_nearest_issues_in_repo

from deeperMatcher.tests.mocks import mock_issues, mock_reviews

def test_basic_embedding_matching():
	review = mock_reviews.mock_review
	issue_repo = IssueRepository("Mock app","")

	target_issue = mock_issues.mock_issue_4
	issue_repo.add_issue(target_issue)
	issue_repo.add_issue(mock_issues.mock_issue)
	issue_repo.add_issue(mock_issues.mock_issue_3)

	embedder = TextEmbedder()

	for issue in issue_repo.get_issues():
		issue.embed_with(embedder)

	result = get_nearest_issues_in_repo(review.get_content(), issue_repo, embedder, n=3)

	assert result[0][0] == target_issue.get_id()